Patchwork [CONSOLIDATED,REQUEST,50/64] at 3.1.13: get 'at' depends on 'flex-native' explicitly

login
register
mail settings
Submitter Saul Wold
Date Aug. 14, 2012, 12:13 p.m.
Message ID <6022af64f75660cbd62c9bf53ac39ce00ac7d0d0.1344946189.git.sgw@linux.intel.com>
Download mbox | patch
Permalink /patch/34601/
State New
Headers show

Comments

Saul Wold - Aug. 14, 2012, 12:13 p.m.
From: Wenzong Fan <wenzong.fan@windriver.com>

'at' needs flex to generate source file lex.yy.c, but it doesn't
depend on flex-native directly; This maybe cause a do_compile
failure if flex-native is not built or included in project.

Error message is:
    error: lex.yy.c: No such file or directory

Get 'at' depends on flex-native to fix this potential issue.

[YOCTO #2919]

Signed-off-by: Wenzong Fan <wenzong.fan@windriver.com>
Signed-off-by: Saul Wold <sgw@linux.intel.com>
---
 meta/recipes-extended/at/at_3.1.13.bb |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Patch

diff --git a/meta/recipes-extended/at/at_3.1.13.bb b/meta/recipes-extended/at/at_3.1.13.bb
index ce9396a..a391d6e 100644
--- a/meta/recipes-extended/at/at_3.1.13.bb
+++ b/meta/recipes-extended/at/at_3.1.13.bb
@@ -4,14 +4,14 @@  the system load levels drop to a particular level."
 SECTION = "base"
 LICENSE="GPLv2+"
 LIC_FILES_CHKSUM = "file://COPYING;md5=4325afd396febcb659c36b49533135d4"
-DEPENDS = "flex initscripts \
+DEPENDS = "flex flex-native initscripts \
 	${@base_contains('DISTRO_FEATURES', 'pam', 'libpam', '', d)}"
 RDEPENDS_${PN} = "${@base_contains('DISTRO_FEATURES', 'pam', '${PAM_DEPS}', '', d)}"
 PAM_DEPS = "libpam libpam-runtime pam-plugin-env pam-plugin-limits"
 
 RCONFLICTS_${PN} = "atd"
 RREPLACES_${PN} = "atd"
-PR = "r2"
+PR = "r3"
 
 SRC_URI = "${DEBIAN_MIRROR}/main/a/at/at_${PV}.orig.tar.gz \
     file://configure.patch \